Search documentation of ash

# View Source Ash.Error (ash v3.4.30)

Tools and utilities used by Ash to manage and conform errors

# Summary

## Types

class()
class_module()
error_class()
t()

## Functions

ash_error?(value)
error_descriptions(errors)
splode_error?(arg1, splode)
to_ash_error(value, stacktrace \\ nil, opts \\ [])
to_error_class(value, opts \\ [])

# Types

Link to this type

# class()

View Source

    @type class() :: %{
      :__struct__ => class_module(),
      :__exception__ => true,
      :errors => [t()],
      :class => error_class(),
      :bread_crumbs => [String.t()],
      :vars => Keyword.t(),
      :stacktrace => Splode.Stacktrace.t() | nil,
      :context => map(),
      optional(atom()) => any()
    }

Link to this type

# class_module()

View Source

    @type class_module() ::
      Ash.Error.Unknown
      | Ash.Error.Framework
      | Ash.Error.Invalid
      | Ash.Error.Forbidden

Link to this type

# error_class()

View Source

    @type error_class() :: :unknown | :framework | :invalid | :forbidden

Link to this type

# t()

View Source

    @type t() :: %{
      :__struct__ => module(),
      :__exception__ => true,
      :class => error_class(),
      :bread_crumbs => [String.t()],
      :vars => Keyword.t(),
      :stacktrace => Splode.Stacktrace.t() | nil,
      :context => map(),
      optional(atom()) => any()
    }

# Functions

Link to this function

# ash_error?(value)

View Source
Link to this function

# error_descriptions(errors)

View Source
Link to this function

# splode_error?(arg1, splode)

View Source
Link to this function

# to_ash_error(value, stacktrace \\ nil, opts \\ [])

View Source
Link to this function

# to_error_class(value, opts \\ [])

View Source